Keysight D3000NFCA/ D4000NFCA Near Field Communication Test Application

Online Help

Version 1.30.1.0

© Keysight Technologies, Inc. 2006-2021

Legal Notice
Warranty
Technology License
U.S. Government Rights
Safety Notices

September 7, 2021

Table of Contents

NFC Automated Testing—At a Glance
Prerequisites
Required Equipment and Software
Keysight 3-in-1 Programmable NFC Antenna
Installing the Required Software
Installing the Keysight IO Libraries Suite
Installing the NFC Test Application software
Installing the NFC Triggering License on the Oscilloscope
Adding Instruments Using Keysight Connection Expert
Using the Test Application
Starting the NFC Test Application
Creating or Opening a Test Project
To set load preferences
Setting Up the Test Environment
Selecting Tests
Configuring Tests
Connecting the Test Equipment
Connections for a Keysight 3-in-1 Antenna
Connections for a Reference Poller Antenna
Connections for a Reference Listener Antenna
Running Tests
To select the "store mode"
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
To enter commands in Script mode
To enter commands in Files mode
To begin Script or Files execution
To display automation settings status
To try a command line
Viewing Results
To change margin thresholds
To set test display preferences
To set trial display preferences
To select jump actions
To debug individual test failures with the oscilloscope
Viewing/Exporting/Printing the Report
To export the report
To print the report
Saving Test Projects
To set AutoRecovery preferences
Controlling the Application via a Remote PC
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
About the Tests
Manufacturing Mode Integration


NFC Automated Testing—At a Glance

Keysight's Near Field Communication (NFC) Test Application software for Keysight InfiniiVision 3000T X-Series and 4000 X-Series oscilloscopes gives you a fast and easy way to verify and debug the physical layer characteristics of your NFC designs. This NFC test application software lets you automatically execute NFC conformance tests, and displays the results in a flexible report format. In addition to the measurement data, the report provides margin analysis that shows how closely your device passed or failed each test.

The PC-based NFC test application software controls a Keysight waveform generator to produce a variety of test signals based on various NFC standards, and then measures the response captured by a Keysight InfiniiVision X-Series oscilloscope with real-time sampling up to 5 GSa/s. Measurement results are then compared against published NFC specifications for pass/fail conditions.

The NFC Test Application guides you through the process of selecting and configuring tests, making oscilloscope connections, running tests, and evaluating the test results. This application:

  • Lets you select individual or multiple tests to run.

  • Shows you how to make connections to the test equipment and device under test based on selected connection type.

  • Automatically checks for proper test equipment configuration.

  • Automatically sets up the equipment for each test.

  • Provides detailed information for each test that has been run and lets you specify the thresholds at which marginal or critical warnings appear.

  • Creates a printable HTML report of the tests that have been run.

For more information, see:

  • Prerequisites

    • Required Equipment and Software

    • Installing the Required Software

    • Installing the NFC Triggering License on the Oscilloscope

    • Adding Instruments Using Keysight Connection Expert

  • Using the Test Application

    • Starting the NFC Test Application

    • Creating or Opening a Test Project

    • Setting Up the Test Environment

    • Selecting Tests

    • Configuring Tests

    • Connecting the Test Equipment

    • Running Tests

    • Automating the Application

    • Viewing Results

    • Viewing/Exporting/Printing the Report

    • Saving Test Projects

    • Controlling the Application via a Remote PC

  • About the Tests

  • Manufacturing Mode Integration

For a printable version of this help file, see: NFC Automated Testing Online Help.

See Also

  • Keysight D3000NFCA/D4000NFCA Automated NFC Test Software Data Sheet


Prerequisites

Required Equipment and Software

Installing the Required Software

Installing the NFC Triggering License on the Oscilloscope

Adding Instruments Using Keysight Connection Expert

Before running the automated tests, you need to acquire the required equipment and software, and you should calibrate the oscilloscope. After the oscilloscope has been calibrated, you are ready to start the NFC Test Application and perform measurements.


Required Equipment and Software

In order to run the NFC automated tests, you need the following equipment and software:

  • One of these InfiniiVision X-Series oscilloscopes with the NFC Triggering license:

    • 3000T X-Series oscilloscope with the D3000NFCA license.

    • 4000 X-Series oscilloscope with the D4000NFCA license.

  • A two-channel Keysight Trueform 33500 Series or 33600 Series waveform generator to provide a variety of test signals based on various NFC standards.

    Please refer to the datasheet for the latest list of supported oscilloscopes and waveform generators.

  • An NFC antenna. The NFC test application supports these types of antennas:

    • Keysight 3-in-1 Programmable NFC Antenna

      This is the 3-in-1 antenna provided by Keysight. It integrates poller, listener, and resonant frequency test coil antennas into one printed-circuit board. With this multi-coil programmable antenna, testing can quickly progress from Listener mode to Poller mode to resonant frequency testing without having to physically move the DUT from one antenna type to the next. There are three versions of the Keysight 3-in-1 antenna:

      • N2116A 3-in-1 programmable NFC antenna, 5 mm spacing between poller/listener coils

      • N2134A 3-in-1 programmable NFC antenna, 10 mm spacing between poller/listener coils

      • N2135A 3-in-1 programmable NFC antenna, 15 mm spacing between poller/listener coils

      For more information, see Keysight 3-in-1 Programmable NFC Antenna.

    • Reference Antennas (Poller and Listener)

      These are the reference antennas specified by the NFC Forum. There are a total of 6 reference antennas available: Poller-0, Poller-3, Poller-6, Listener-1, Listener-3, Listener-6. The coil of the antenna get smaller with increasing number.

  • A user-supplied controller PC with the 64-bit Windows 7 or Windows 10 operating system.

    The controller PC requires the following software (installed in this order):

    1. Keysight I/O Libraries version 17.2 or greater.

    2. Keysight Host Processor Platform 5.2.25313.11426.

    3. Keysight License Service 5.1.20822.10730.

    4. Keysight License Manager 5.3.

    5. .NET Framework 4.5.2.

    6. MATLAB Compiler Runtime 9.1.

    7. NFC Test Application software.

    See Installing the Required Software.

  • The NFC device under test.


Keysight 3-in-1 Programmable NFC Antenna

The Keysight 3-in-1 programmable NFC multi-coil antenna includes a Poller 3 and Listener 3 equivalent test antenna that can be quickly switched between various test modes for fast test throughput. The following shows a block diagram of the Keysight N2116A, N2134A, and N2135A 3-in-1 programmable NFC antennas.

If you are creating a holding fixture for one of the Keysight 3-in-1 antennas and your device under test, see:

  • N2116A 3-in-1 Programmable NFC Antenna Dimensions

  • N2134A 3-in-1 Programmable NFC Antenna Dimensions

  • N2135A 3-in-1 Programmable NFC Antenna Dimensions


N2116A 3-in-1 Programmable NFC Antenna Dimensions

The N2116A 3-in-1 programmable NFC antenna provides 5 mm spacing between poller/listener coils.


N2134A 3-in-1 Programmable NFC Antenna Dimensions

The N2134A 3-in-1 programmable NFC antenna provides 10 mm spacing between poller/listener coils.


N2135A 3-in-1 Programmable NFC Antenna Dimensions

The N2135A 3-in-1 programmable NFC antenna provides 15 mm spacing between poller/listener coils.


Installing the Required Software

The following software must be installed on the controller PC (in this order):

  1. Keysight I/O Libraries version 17.2 or greater. See Installing the Keysight IO Libraries Suite.

  2. Keysight Host Processor Platform 5.2.25313.11426.

  3. Keysight License Service 5.1.20822.10730 (included in NFC Test Application install package).

  4. Keysight License Manager 5.3 (included in NFC Test Application install package).

  5. .NET Framework 4.5.2 (included in NFC Test Application install package).

  6. MATLAB Compiler Runtime 9.1 (included in NFC Test Application install package).

  7. NFC Test Application software. See Installing the NFC Test Application software.


Installing the Keysight IO Libraries Suite

The controller PC must have installed Keysight I/O libraries version 17.2 or greater.

The Keysight IO Libraries Suite software can be downloaded from the Keysight web site at: www.keysight.com/find/iolib


Installing the NFC Test Application software

You must install the NFC Test Application on a controller PC that is connected to the InfiniiVision 3000T X-Series or 4000 X-Series oscilloscope via LAN or USB.

Download the NFC Test Application software from one of the following download web pages:

  • http://www.keysight.com/products/D3000NFCA (for 3000T X-Series oscilloscopes)

  • http://www.keysight.com/products/D4000NFCA (for 4000 X-Series oscilloscopes)

To install the software:

  1. Download the NFC Test Application install package from the Keysight web site to your controller PC.

  2. Run the install package executable file and follow its instructions.


Installing the NFC Triggering License on the Oscilloscope

The NFC Test Application software requires the oscilloscope to have the NFC Triggering license:

  • D3000NFCA on 3000T X-Series oscilloscopes.

  • D4000NFCA on 4000 X-Series oscilloscopes.

To install option licenses

On 3000T X-Series and 4000 X-Series oscilloscopes:

  1. Follow the instructions on the Entitlement Certificate you received with your NFC option purchase.

  2. Your license file will be delivered via e-mail.

    License files are loaded from a USB storage device using the oscilloscope's File Explorer.


Adding Instruments Using Keysight Connection Expert

This procedure needs to be performed once for each oscilloscope and waveform generator used to perform NFC test measurements.

[Note]

The menus and dialog boxes shown here may differ slightly depending on the version of the Keysight IO Libraries Suite.

  1. On the controller PC, click on the Keysight IO Control icon in the taskbar and choose Connection Expert from the popup menu.

  2. In the Keysight Connection Expert application, instruments connected to the controller's USB and GPIB interfaces as well as instruments on the same LAN subnet should automatically appear in the Instruments tab.

  3. If your instrument does not appear, you can add it using the Manual Configuration tab.

    For example, to add a device:

    1. Select LAN instrument in the list on the left.

    2. Enter the oscilloscope's Hostname or IP address.

    3. Select the protocol.

    4. Select Instrument under Set Protocol.

    5. Click Test This VISA Address to verify the connection.

    6. If the connection test is successful, click Accept to add the instrument.

      If the connection test is not successful, go back and verify the LAN connections and the oscilloscope setup.

  4. Test some commands on the instrument:

    1. In the Details for the selected instrument, click Send Commands To This Instrument.

    2. In the Keysight Interactive IO application, enter commands in the Command field and press Send Command, Read Response, or Send & Read.

    3. Choose Connect > Exit from the menu to exit the Keysight Interactive IO application.

  5. In the Keysight Connection Expert application, choose File > Exit from the menu to exit the application.


Using the Test Application

Starting the NFC Test Application

Creating or Opening a Test Project

Setting Up the Test Environment

Selecting Tests

Configuring Tests

Connecting the Test Equipment

Running Tests

Viewing Results

Viewing/Exporting/Printing the Report

Saving Test Projects

Controlling the Application via a Remote PC


Starting the NFC Test Application

  1. Start the NFC test application:

    • On the controller PC's desktop, double-click the NFC Test App icon.

    • Or, from the controller PC's Windows Start menu, choose All Programs > Keysight InfiniiVision Applications > NFC Test App > NFC Test App.

    The NFC Test Application window appears.

The default tab layout in the upper pane shows the steps you take when running the automated tests:

Set Up | Lets you identify the test environment, including information about the device and differential signal being tested.
Select Tests | Lets you select the tests you want to run. The tests are organized hierarchically so you can select all tests in a group. After tests are run, status indicators show which tests have passed, failed, or not been run, and there are indicators for the test groups.
Configure | Lets you configure test parameters (like oscilloscope channel).
Connect | Shows you how to connect the oscilloscope to the device under test for the tests that are to be run.
Run | Starts the automated tests.
Automate | Lets you construct command scripts that drive execution of the application.
Results | Contains more detailed information about the tests that have been run. You can change the thresholds at which marginal or critical warnings appear.
Html Report | Shows a test report that can be printed.
[Note]

You can drag tabs in the application wherever you like. To reset to the default tab layout, choose View > Reset > Tab Layout.

Next

  • Creating or Opening a Test Project


Creating or Opening a Test Project

To create a new test project:

  1. Choose File > New Project... from the menu.

    A new, empty project, with all the default settings is created.

To open an existing test project:

  1. Choose File > Open Project... > Browse... from the menu.

  2. In the Open dialog box, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

  • To set load preferences

Next

  • Setting Up the Test Environment


To set load preferences

  1. From the NFC test application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Setting Up the Test Environment

  1. Click the Set Up tab.

  2. Select the Antenna type:

    • Keysight_3-in-1 — This is the 3-in-1 antenna provided by Keysight. It integrates poller, listener, and resonant frequency test coil antennas into one printed-circuit board. The size of the coil is equivalent to Poller-3 and Listener-3 coil size.

    • Reference — These are the reference antennas specified by the NFC Forum. There are a total of 6 reference antennas available: Poller-0, Poller-3, Poller-6, Listener-1, Listener-3, Listener-6. The coil of the antenna get smaller with increasing number.

  3. Enter the Oscilloscope address:

    1. Click Connect.

    2. In the "Connect to scope" dialog box, you can enter the oscilloscope's VISA address, VISA alias, or SICL address:

      Or, you can select from Keysight Connection Expert favorites:

    3. Click Get to view the instrument's identification string.

  4. Enter the Arbitrary Waveform Generator address:

    1. Click Connect.

    2. In the "Connect to 33500" dialog box, you can enter the waveform generator's VISA address, VISA alias, or SICL address, or you can select from Keysight Connection Expert favorites.

    3. Click Get to view the instrument's identification string.

    [Note]

    Because the connection process also loads arbitrary waveforms into the waveform generator, it may take longer to connect to a waveform generator that has just been power-cycled.

  5. If the Keysight 3-in-1 antenna type was selected, select the 3-in-1 Port; then, click Connect.

    If there are multiple 3-in-1 ports to choose from, and you are not sure which is correct, look at the USB devices shown in the Devices and Printers window in the Windows 7 operating system.

    When the 3-in-1 antenna is connected, you will also see its HW and FW version information.

When the test environment is set up, the user interface looks something like:

Next

  • Selecting Tests


Selecting Tests

  1. Click the Select Tests tab.

  2. Check the tests you want to run.

    Some things to note:

    • Checking a parent node/group will check all available sub-groups/tests.

    • Unchecking a parent node/group will uncheck all sub-groups/tests.

    • A parent node is checked if all subgroups are checked.

    • A parent node is partially checked (square block) if ANY subgroup is unchecked.

When Tests Have Already Been Run

The marks have the following meanings:

The test passed.
The test failed.
The test has not been run, or no tests in the group have been run.
The test is currently running.
Some tests in the group have run and passed.
Some tests in the group have run and failed.
Some tests in the group have passed and some have failed; not all of the tests have been run.
Some tests in the group have passed and some have failed; all of the tests have run.
All tests in the group have run and passed.
All tests in the group have run and failed.

See Also

  • About the Tests (for more information on specific tests)

Next

  • Configuring Tests


Configuring Tests

  1. Click the Configure tab.

  2. Select the item you want to configure on the left side of the application window; then, select or enter your settings in the right side of the window.

    A description of the selected configuration item also appears in the right side of the application window.

    Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

[Tip]

A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

To see the automation variable name for a selected configuration item, enable remote interface hints (see To enable remote interface hints). After doing that, the right side description will show the automation variable name. For example:

Next

  • Connecting the Test Equipment


Connecting the Test Equipment

  1. Click the Connect tab.

  2. Follow the displayed instructions for connecting the test equipment.

  3. Place the device under test on the NFC antenna.

  4. When the test equipment connections have been made, click the Connection Completed button.

For more information on test equipment connections, see:

  • Connections for a Keysight 3-in-1 Antenna

  • Connections for a Reference Poller Antenna

  • Connections for a Reference Listener Antenna

Next

  • Running Tests


Connections for a Keysight 3-in-1 Antenna

  1. The oscilloscope is connected to the controller PC using a LAN or USB connection.

  2. The waveform generator is connected to the PC using a LAN or USB connection.

  3. The Keysight 3-in-1 antenna is connected to the PC using a USB connection.

  4. The Trigger Out (Label: Trig Out) port, which is located on the rear of the oscilloscope is connected to the Trigger In (Label: Ext Trig) of the waveform generator.

  5. Connect Sense port of the Keysight 3-in-1 antenna to Channel 2 of the oscilloscope.

  6. Connect VR port of the Keysight 3-in-1 antenna to Channel 3 of the oscilloscope.

  7. Connect RX port of the Keysight 3-in-1 antenna to Channel 4 of the oscilloscope.

  8. Connect LM port of the Keysight 3-in-1 antenna to Channel 1 of the waveform generator.

  9. Connect TX port of the Keysight 3-in-1 antenna to Channel 2 of the waveform generator.

*The connections to the oscilloscope (Sense, VR, and RX) can be changed in the Configure tab.


Connections for a Reference Poller Antenna

  1. The oscilloscope is connected to the controller PC using a LAN or USB connection.

  2. The waveform generator is connected to the PC using a LAN or USB connection.

  3. Connect J2 port of the Reference Poller to Channel 4 of the oscilloscope.

  4. Connect J1 port of the Reference Poller to Channel 2 of the waveform generator.

* The connections to the oscilloscope (Sense, VR, and RX) can be changed in the Configure tab.


Connections for a Reference Listener Antenna

  1. The oscilloscope is connected to the controller PC using a LAN or USB connection.

  2. The waveform generator is connected to the PC using a LAN or USB connection.

  3. The Trigger Out (Label: Trig Out) port, which is located on the rear of the oscilloscope is connected to the Trigger In (Label: Ext Trig) of the waveform generator.

  4. Connect J4 port of the Reference Listener to Channel 2 of the oscilloscope.

  5. Connect J1 port of the Reference Listener to Channel 3 of the oscilloscope.

  6. Connect J2 port of the Reference Listener to Channel 1 of the waveform generator.

* The connections to the oscilloscope (Sense, VR, and RX) can be changed in the Configure tab.


Running Tests

[Note]

You should allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

[Tip]

It is a good idea to calibrate the oscilloscope at least once a year or when the Calibration ΔTemp is greater than ±5 °C. The Calibration ΔTemp is found using the oscilloscope's front panel, by pressing the [Utility] key followed by the Service and User Cal Status softkeys.

The Run tab's settings let you run the selected tests once or multiple times. When you run tests multiple times, there are options for selecting which trials are stored and how long tests are run.

To run the selected tests once:

  1. Select the Run tab, make sure the Once "run until" option is selected, and click the big Run button.

    For more information on additional run options, see:

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

  2. If there are existing test results, you are asked if you would like to keep them (and append new results) or delete them.

    If you would like to keep the existing test results to compare against new results, click Append.

    Click Replace if you would like to delete the existing results for the currently selected tests.

  3. While the tests are running, status information appears (next to the Stop and Pause buttons) to inform you about the test progress.

  4. When the tests are complete, there is a "Run ended" message, the overall run status is displayed, and the Stop button changes back to Run.

See Also

  • To set the display preferences

  • To set the run preferences

Next

  • Viewing Results


To select the "store mode"

When running tests multiple times, you can select which trials are stored.

  1. Select the Run tab.

  2. In the Store Mode area, select:

    • Best — stores the results of the best N trials.

    • Event — stores the results of N trials in which the event is detected. The event is determined in the Event area. See To specify the event.

    • Last — stores the results of the last N trials.

    • Worst — stores the results of the worst N trials.

Up to 25 trials can be stored.

If you change the Store Mode when test results exist, the existing results will be deleted.

The Store Mode selection affects the trial display options in the Report tab of the Preference dialog box. See To set trial display preferences.


To run multiple times

The "run until" option lets you specify whether tests are run once or multiple times.

  1. Select the Run tab.

  2. In the Run Until area, select:

    • Forever — runs the tests repeatedly until you click the Cancel button.

    • N Times — runs the tests N times. When this option is selected, you can specify the number of runs and whether pauses occur between each run.

    • Once — runs the tests only once. This is the default setting.

When multiple runs are selected, you can use the trial display options in the Report tab of the Preference dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.


To send email on pauses or stops

You can configure the test application to send email whenever a run pauses or ends.

  1. Select the Run tab.

  2. In the Email area, check Send email when run is paused or stopped.

  3. Enter your To and From email addresses and the hostname of the SMTP Server.

Pauses can occur between runs when running a specific number of times (see To run multiple times) or when pausing on an event (see To pause or stop on events).


To pause or stop on events

You can set up test runs to pause or stop on events which are checked at the end of each test..

  1. Select the Run tab.

  2. In the Event area, check Detect events.

  3. In the do: drop-down selection field that appears, select either:

    • Continue — causes the run to continue when the event is detected.

    • Pause — causes the run to pause when the event is detected.

    • Stop — cause the run to stop when the event is detected.

  4. In the Event area, specify the type of event. See To specify the event.

Pauses or stops can be set up to automatically send email (see To send email on pauses or stops).


To specify the event

In the Store Mode area when you have selected Event (see To select the "store mode") or in the Run Until area when you have selected to pause or stop on an event (see To pause or stop on events), the Event area appears so that you can specify the event.

  1. In the Event area, select the type of event:

    • Fail — causes the event to fire when a prerequisite test or selected test fails..

    • Margin < N — causes the event to fire when a test generates a margin < specified. When this option is selected, enter the minimum required margin percentage.

    • Pass — causes the event to fire when a test passes (excluding prerequisite tests).

    A tilde "~" character in the event selection drop-down shows that the event is unavailable. If you select an event type that is not available, a dialog box tells you why.


To set the display preferences

Information, warning, and error conditions can occur while running tests. The display preferences let you choose whether message dialog boxes are shown. And, there are other display preferences that affect what happens as tests are run.

  1. From the NFC test application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Display tab.

  3. In the Display tab, you can choose to show the following types of message dialog boxes:

    • Information dialog boxes.

    • Warning dialog boxes.

    • Error dialog boxes.

    [Note]

    Messages that require you to make a choice, such as "OK/Cancel" and "Yes/No" are always enabled.

  4. Also, you can choose to:

    • Change the Color scheme — You can choose between the darker Midnight color scheme or the lighter Platinum color scheme.

    • Invert scope display for screen shots — (white background) when the application captures the screen shots.

    • Keep application on top — Always keep the application's main dialog box on the top of other windows. Note that the mid-run dialog boxes are always displayed on the top.

    • Show tooltips — By enabling this option, the tooltips appear as you move the pointer over various controls in the application.

  5. Click Apply to save the changes and click OK to close the Preferences dialog box.


To set the run preferences

Information, warning, and error conditions can occur while running tests. The display preferences let you choose whether message dialog boxes are shown. And, there are other display preferences that affect what happens as tests are run.

  1. From the NFC Test Application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Run tab.

  3. In the Run tab, choose if/when you would like beeps to occur during test runs:

    • Beep when user prompted — causes the controller PC to beep when there is a prompt for user input.

    • Beep only during run — specifies that beeps only occur during runs.

  4. Select the Test Abort Action.

    You can choose to continue the run or stop the run.

  5. Select or clear the Display Results tab at end of run check box option.

  6. Click Apply to save the changes and click OK to close the Preferences dialog box.


Automating the Application

The Automation tab lets you construct command scripts that drive execution of the application.

You can select from two modes, Script and Files:

See:

  • To enter commands in Script mode

  • To enter commands in Files mode

  • To begin Script or Files execution

  • To display automation settings status

  • To try a command line


To enter commands in Script mode

In Script mode, the application will execute the commands it finds in the script text box:

You may either type in commands (one per line) or use the Commands… generator to construct them. A script may be saved to a text file to make it easy to switch to the Files automation method.

The command generator is opened by clicking Commands…. It can generate single commands or sample scripts that demonstrate how commands work together.

In Single Command mode, select the tab that corresponds to the real application tab containing the controls you want to affect. Then, select which action you want to perform. The screen will then show you what automation command performs that action. Most commands are shown with placeholder parameters along with instructions on how to customize them:

In Entire Script mode, select a script that describes a task you would like to know more about:

Once you have found the command or script you want, you may copy it to the clipboard or automatically append it to the script in the Automation tab. You may optionally include instructions to guide you in customizing the commands:

[Note]

In the Automation tab script, lines starting with the pound symbol (#) do not execute.

See Also

  • To begin Script or Files execution


To enter commands in Files mode

In Files mode, the application will execute the commands it finds in the files shown in the list. The list is constructed and managed via the buttons on the left:

See Also

  • To begin Script or Files execution


To begin Script or Files execution

Click Start to begin Script or Files execution:

Before the first test executes, you may abort by clicking the same button (now labeled Stop) again.


To display automation settings status

Some commands will make visible changes to the application's tabs, such as selecting a test. Other commands only modify invisible settings, such as "SuppressMessages". The Automation Settings status dialog box displays the current value of the invisible properties:


To try a command line

To experiment with a command, type it in the Try a command field and press <Enter> to execute it. If it has a visible effect, such as selecting a test, you may then go to another tab to see if it behaved as expected.


Viewing Results

  1. Click the Results tab.

    The Results tab contains three resizable panes for test results information. If you select one of the tests in the top pane, details are shown in the lower panes.

To delete results, right-click and choose to delete the results for the selected test or all tests.

[Tip]

A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

  • To change margin thresholds

  • To set trial display preferences

  • To debug individual test failures with the oscilloscope

Next

  • Viewing/Exporting/Printing the Report


To change margin thresholds

  1. From the NFC Test Application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Results tab.

  3. In the Margin Reporting area, you can:

    • Enable or disable margin highlighting.

    • You can change the percent of margin at which to give warnings or critical failures.

  4. Click OK to close the Preferences dialog box.


To set test display preferences

  1. From the NFC Test Application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Results tab.

  3. In the Test Display area, you can choose:

    • Chronologically — the test results table is arranged in the order of which test was run first.

    • Same as Select Tests tab — the test results table is arranged in the order seen in the test selection list.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.

[Note]

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To set trial display preferences

  1. From the NFC Test Application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Results tab.

  3. In the Trial Display area, you can:

    • Select the maximum number of trials, up to 25, whose details are displayed at one time.

    • Order trial details chronologically or by "best", "worst", or "last" trial first.

    • Specify whether screens captured during the run are displayed in the Results tab.

    Note that the "worst", "best", or "last" trials depends on the "store mode" setting in the Run tab. See To select the "store mode".

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.

[Note]

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To select jump actions

  1. From the NFC Test Application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Results tab.

  3. In the Jump Actions area, you can select:

    • Select Tests tab double-click jumps to the Results tab — when there are results for a test, double-clicking a test in the Select Tests tab goes to those results.

    • HTML Report tab display tracks Results tab selection — after selecting a test in the Results tab, clicking the HTML Report tab will display the report at the point where those test results appear.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.

[Note]

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To debug individual test failures with the oscilloscope

Because the NFC test application license exists in the oscilloscope, you can easily shift from performing conformance tests with the application to debugging individual test failures with the oscilloscope. In this scenario, the application is useful for automatically setting up the equipment for a particular test. Then, you can go to the oscilloscope to look at the captured data in more detail.

For example, the following figure illustrates using the oscilloscope's NFC trigger mode to manually characterize the Poller NFC-B modulation depth after automated test failure.


Viewing/Exporting/Printing the Report

  • To view the HTML test report, click the Html Report tab.

The NFC Test Application provides complete report generation with statistical and margin analysis capabilities. NFC test results shows Poller/Listener parameters that fail to meet specifications highlighted in red, as well as marginal test results highlighted in yellow.

See Also

  • To export the report

  • To print the report

Next

  • Saving Test Projects


To export the report

  1. From the NFC test application's menu, choose File > Export Results > from the menu.

    There are two options for exporting the HTML test report: CSV or HTML.

To export results in CSV (comma-separated values) format

Select the CSV option to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

There are two options for exporting HTML format test reports:

  • Single-File — To save a single-file report, use the "save as" type "Web Archive, single file (.mht)".

    [Note]

    Single-file reports will not contain hyperlinks in the summary table (due to a .mht format limitation). If you want these hyperlinks, use the multi-file format.

  • Multi-File — If your report is large and you would like to use links within the report, select the HTML > Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files. It creates a folder with the specified name that may be copied to any computer.

    To view the exported report, open the HTML file stored in the folder.


To print the report

  • To preview the HTML test report printout, choose File > Print Preview... from the menu.

  • To print the HTML test report, choose File > Print... from the menu.


Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File > Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File > Save Project As... from the menu.

  2. In the Save Project As dialog box, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.

See Also

  • To set AutoRecovery preferences


To set AutoRecovery preferences

  1. From the NFC test application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the AutoRecovery area, you can choose:

    • To auto-save results after each trial or permutation even if the entire multi-trial is not completed. This option enables full recovery.

    • To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Controlling the Application via a Remote PC

The NFC test application's Preference dialog box has a Remote tab for enabling the remote interface and setting remote options.

The remote interface lets you control test applications from a remote PC. It comes with ready to run executables, but it also lets you create custom programs using a .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

  • Launch and close applications.

  • Configure options.

  • Run tests.

  • Obtain results.

  • Control when and where dialog boxes are displayed.

  • Save and load projects.

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

  • To identify the remote interface version

  • To enable the remote interface

  • To enable remote interface hints


To identify the remote interface version

  1. From the NFC test application's menu, choose Help > About....

  2. In the About dialog box, the remote interface version is listed above other version information.


To enable the remote interface

  1. From the NFC test application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Remote tab.

  3. Check the Enable remote interface option if you need to access the application remotely.

    If you are performing the tests with the application's user interface and want to ensure no remote users accidentally interfere with you, disable the remote interface by un-checking this option.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


To enable remote interface hints

  1. From the NFC test application's menu, choose View > Preferences....

  2. In the Preferences dialog box, select the Remote tab.

  3. In the remote options area, check Show remote interface hints.

    When this option is checked:

    • You can select the remote programming language described in the tips.

    • Tooltips related to the remote interface commands appear when you click the toolbar.

    • Various controls in the tabs will have a context menu item added as "Remote interface hint…".

    • The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


About the Tests

Keysight's automated NFC test software provides higher-level functional pass/fail testing, as well as lower-level physical layer parametric testing. You have the ability to customize your specific test needs by selecting just the measurements required for your particular test environment. The following table shows the measurements that can be selected.

Keysight NFC Test Coverage:

Test | NFC-A | NFC-B | NFC-F (212 kbps) | NFC-F (424 kbps) | NFC-V
Listener Mode Tests
Pass/Fail | √ | √ | √ | √ | √
Frame delay time (FTD) | √ | √ | √ | √ | √
Load modulation amplitude (LMA) | √ | √ | √ | √ | √
Response data | √ | √ | √ | √ | √
Poller Mode Tests
Pass/Fail | √ | √ | √ | √ | √
t1 | √ |  |  |  | √
t2 | √ |  |  |  | √
t3 | √ |  |  |  | √
t4 | √ |  |  |  | √
t5 | √ |  |  |  | √
Data rate | √ | √ | √ | √ | √
Field strength (Vov) | √ | √ | √ | √ | √
Carrier frequency (Fc) | √ | √ | √ | √ | √
Modulation depth | √ | √ | √ | √ | √
Modulation index | √ | √ | √ | √ | √
Response data | √ | √ | √ | √ | √
Overshoot | √ | √ | √ | √ | √
Undershoot |  | √ | √ | √ |
Rise time (tr) |  | √ | √ | √ |
Fall time (tf) |  | √ | √ | √ |
Resonant Frequency Test (Fr) | √

Resonant Frequency Test (Fr) with the Keysight 3-in-1 Antenna

If you want to run the Resonant Frequency Test (Fr) with the Keysight 3-in-1 antenna, the Fr channel needs to be changed from Channel 1 to Channel 4 or whichever channel the Listener tests use.

Disable NFC before running the Fr test; otherwise, the device under test may decide to start talking in the middle of the Fr test which will affect the results.

While there will be less drop when using the same test position setup as for Listener and Poller tests (at 15 mm) than using the ideal Fr test position, the signal should still be clear and present.


Manufacturing Mode Integration

[Note]

Please ensure that the NFC test application is installed before proceeding with this section.

In additional to the normal graphical user interface (GUI) presented by the NFC application, there is another mode, known as Manufacturing Mode, where the application can be invoked without the GUI showing. This mode provides faster runtime and is intended for manufacturing environments where test execution speed is critical and the GUI is not required.

Manufacturing Mode is similar to the remote interface (see Controlling the Application via a Remote PC) in that you can automate the application from a program, but it also lets you automate multiple instances of the application on the same PC (which the remote interface does not allow).

By default, the application's Manufacturing Mode provides integration with test systems in these environments:

  • C#

  • native C++

  • C++/CLI

The Keysight DigitalTestApps Automation Interface Programmer's Reference describes the available interfaces to interact with the application in Manufacturing Mode. This programmer's reference also contains many examples that show you how to use the automation interface. You can view this documentation from the NFC test application by choosing Help > Automation > Contents.

All headers and libraries required to integrate the manufacturing mode is located in the app installation directory. Below is the default path for app installation:

  • 64-bit systems: C:\Program Files\Keysight\InfiniiVision\Apps\NFCTest

Steps to integrate and run the application through the manufacturing interface:

C#:

  • Include the Keysight.DigitalTestApps.Automation.dll into the list of references.

C++, C++/CLI:

  • Copy the Keysight.DigitalTestApps.Automation.NativeCppAdapter.h and Keysight.DigitalTestApps.Automation.NativeCppAdapter.lib into your project folder. Include Keysight.DigitalTestApps.Automation.NativeCppAdapter.lib into the list of libraries.

  • Copy the Keysight.DigitalTestApps.Automation.NativeCppAdapter.dll file into the same directory as your compiled .exe.

In order to select tests, you must provide the test ID as an argument to this manufacturing mode interface. The test ID can be obtained from the remote programmer's reference included with the application.


Legal Notice

No part of this manual may be reproduced in any form or by any means (including electronic storage and retrieval or translation into a foreign language) without prior agreement and written consent from Keysight Technologies, Inc. as governed by United States and international copyright laws.


U.S. Government Rights

The Software is "commercial computer software," as defined by Federal Acquisition Regulation ("FAR") 2.101. Pursuant to FAR 12.212 and 27.405-3 and Department of Defense FAR Supplement ("DFARS") 227.7202, the U.S. government acquires commercial computer software under the same terms by which the software is customarily provided to the public. Accordingly, Keysight provides the Software to U.S. government customers under its standard commercial license, which is embodied in its End User License Agreement (EULA), a copy of which can be found at www.keysight.com/find/sweula. The license set forth in the EULA represents the exclusive authority by which the U.S. government may use, modify, distribute, or disclose the Software. The EULA and the license set forth therein, does not require or permit, among other things, that Keysight: (1) Furnish technical information related to commercial computer software or commercial computer software documentation that is not customarily provided to the public; or (2) Relinquish to, or otherwise provide, the government rights in excess of these rights customarily provided to the public to use, modify, reproduce, release, perform, display, or disclose commercial computer software or commercial computer software documentation. No additional government requirements beyond those set forth in the EULA shall apply, except to the extent that those terms, rights, or licenses are explicitly required from all providers of commercial computer software pursuant to the FAR and the DFARS and are set forth specifically in writing elsewhere in the EULA. Keysight shall be under no obligation to update, revise or otherwise modify the Software. With respect to any technical data as defined by FAR 2.101, pursuant to FAR 12.211 and 27.404.2 and DFARS 227.7102, the U.S. government acquires no greater than Limited Rights as defined in FAR 27.401 or DFAR 227.7103-5 (c), as applicable in any technical data.


Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.